## Apache Zeta Components Manual :: Docs For Class ezcWorkflowExecutionNonInteractive

### Workflow::ezcWorkflowExecutionNonInteractive

### Class ezcWorkflowExecutionNonInteractive

Workflow execution engine for non-interactive workflows.

This workflow execution engine can only execute workflows that do not have any Input and/or SubWorkflow nodes.

Source for this file: /Workflow/src/execution/non_interactive.php

    ezcWorkflowExecution
       |
       --ezcWorkflowExecutionNonInteractive

Version: | //autogen//

### Inherited Member Variables

From ezcWorkflowExecution
protected | `ezcWorkflowExecution::$activatedNodes`
protected | `ezcWorkflowExecution::$cancelled`
protected | `ezcWorkflowExecution::$ended`
protected | `ezcWorkflowExecution::$id`
protected | `ezcWorkflowExecution::$nextThreadId`
protected | `ezcWorkflowExecution::$numActivatedEndNodes`
protected | `ezcWorkflowExecution::$numActivatedNodes`
protected | `ezcWorkflowExecution::$plugins`
protected | `ezcWorkflowExecution::$properties`
protected | `ezcWorkflowExecution::$resumed`
protected | `ezcWorkflowExecution::$suspended`
protected | `ezcWorkflowExecution::$threads`
protected | `ezcWorkflowExecution::$variables`
protected | `ezcWorkflowExecution::$waitingFor`

### Method Summary

protected void | `doEnd( )` End workflow execution.
protected ezcWorkflowExecution | `doGetSubExecution( [ $id = null] )` Returns a new execution object for a sub workflow.
protected void | `doResume( )` Resume workflow execution.
protected void | `doStart( $parentId )` Start workflow execution.
protected void | `doSuspend( )` Suspend workflow execution.

### Inherited Methods

From ezcWorkflowExecution
public bool | `ezcWorkflowExecution::addListener()` Adds a listener to this execution.
public bool | `ezcWorkflowExecution::addPlugin()` Adds a plugin to this execution.
public void | `ezcWorkflowExecution::cancel()` Cancels workflow execution with the node $endNode.
protected abstract void | `ezcWorkflowExecution::doEnd()` Called by end() when workflow execution is ended.
protected abstract ezcWorkflowExecution | `ezcWorkflowExecution::doGetSubExecution()` Returns a new execution object for a sub workflow.
protected abstract void | `ezcWorkflowExecution::doResume()` Called by resume() when workflow execution is resumed.
protected abstract void | `ezcWorkflowExecution::doStart()` Called by start() when workflow execution is initiated.
protected abstract void | `ezcWorkflowExecution::doSuspend()` Called by suspend() when workflow execution is suspended.
public bool | `ezcWorkflowExecution::hasEnded()` Returns true when the workflow execution has ended.
public bool | `ezcWorkflowExecution::isCancelled()` Returns true when the workflow execution has been cancelled.
public bool | `ezcWorkflowExecution::isSuspended()` Returns true when the workflow execution has been suspended.
protected void | `ezcWorkflowExecution::loadFromVariableHandlers()` Loads data from variable handlers and merge it with the current execution data.
public bool | `ezcWorkflowExecution::removeListener()` Removes a listener from this execution.
public bool | `ezcWorkflowExecution::removePlugin()` Removes a plugin from this execution.
public void | `ezcWorkflowExecution::resume()` Resumes workflow execution of a suspended workflow.
protected void | `ezcWorkflowExecution::saveToVariableHandlers()` Saves data to execution data handlers.
public mixed | `ezcWorkflowExecution::start()` Starts the execution of the workflow and returns the execution id.

### Methods

#### doEnd

void doEnd( )

End workflow execution.

##### Redefinition of:

Method | Description
--- | ---
`ezcWorkflowExecution::doEnd()` | Called by end() when workflow execution is ended.

#### doGetSubExecution

ezcWorkflowExecution doGetSubExecution( [int $id = null] )

Returns a new execution object for a sub workflow.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$id` | int |

##### Redefinition of:

Method | Description
--- | ---
`ezcWorkflowExecution::doGetSubExecution()` | Returns a new execution object for a sub workflow.

#### doResume

void doResume( )

Resume workflow execution.

##### Redefinition of:

Method | Description
--- | ---
`ezcWorkflowExecution::doResume()` | Called by resume() when workflow execution is resumed.

#### doStart

void doStart( integer $parentId )

Start workflow execution.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$parentId` | integer |

##### Redefinition of:

Method | Description
--- | ---
`ezcWorkflowExecution::doStart()` | Called by start() when workflow execution is initiated.

#### doSuspend

void doSuspend( )

Suspend workflow execution.

##### Redefinition of:

Method | Description
--- | ---
`ezcWorkflowExecution::doSuspend()` | Called by suspend() when workflow execution is suspended.

Documentation generated by phpDocumentor 1.4.3